
QGIS Application - Bug report #9501

QGIS crash on specifying filter for WFS layer.

2014-02-06 03:29 AM - Thomas Sogaard-Pedersen

Status: Closed

Priority: Normal

Assignee: Martin Dobias

Category: Web Services clients/WFS

Affected QGIS version:2.0.1 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 18092

Description

Running QGIS 2.0.1-Dufour desktop on windows XP 32bit

I'm connected to a WFS server (some topographical data in GML 2.1.2) and want to set a bounding box 

I choose "Build query" from the "Add WFS Layer from a Server"-window and write:

bbox( $geometry , geomFromGML( '<gml:LineString srsName="EPSG:25832"><gml:coordinates>709841,6187968

727061,6198617</gml:coordinates></gml:LineString>'))

When i type in that last parentheses ')' i get crash dumped.

If I instead load all the data from the WFS and then afterwards do a selection query with the bbox same as before, I get the features

selected I expected - no crash

Unsure if it's related to #8584

Associated revisions

Revision 18fd4011 - 2014-02-08 01:21 PM - Martin Dobias

Fix #9501 (expression crash when $geometry is used without a feature)

History

#1 - 2014-02-06 05:17 AM - Thomas Sogaard-Pedersen

intersects( $geometry, geomFromWKT( 'LINESTRING(709841 6187968,727061 6198617)')) causes a crash aswell

#2 - 2014-02-06 11:53 PM - Nacho Varela

I confirm QGis crash with both queries. This ticket should have "Causes crash or corruption" set to "Yes", shouldn't it?

#3 - 2014-02-07 12:18 AM - Thomas Sogaard-Pedersen

Indeed it should have been set to "Yes".

I overlooked the option when I made the issue - And now I seem to be unable to edit it

If a mod here, sees this, would you kindly set the "Causes crash or corruption:" to "Yes" on my behalf?

#4 - 2014-02-07 02:09 AM - Jukka Rahkonen

2025-04-27 1/2



Just adding filter item &geometry from the builder menu made crash for me.

#5 - 2014-02-08 04:15 AM - Martin Dobias

- Assignee set to Martin Dobias

#6 - 2014-02-08 04:22 AM - Martin Dobias

- Status changed from Open to Closed

Fixed in changeset commit:"18fd4011677fc4c64e3543d20d7e0bb451bb285a".

#7 - 2014-02-08 04:23 AM - Martin Dobias

- Target version changed from Version 2.0.0 to Version 2.2
